{
  config,
  lib,
  pkgs,
  ...
}:
{
  imports = [
    ./audio.nix
    ./desktop.nix
    ./fonts.nix
    ./graphics.nix
    ./polkit.nix
    ./programs.nix
    ./steam.nix
    ./stylix.nix
  ];

  time.timeZone = "America/New_York";

  # temp workaround for building while in nixos-enter
  #services.logrotate.checkConfig = false;

  networking = {
    hostId = "9f2e1ff9";
    firewall.enable = true;
    useNetworkd = true;
  };

  boot = {
    kernelPackages = lib.mkForce pkgs.linuxPackages_xanmod;
    useSystemdBoot = true;
    default = true;
  };

  sops.age.sshKeyPaths = [ "/etc/ssh/ssh_host_ed25519_key" ];

  services = {
    flatpak.enable = true;
    gvfs.enable = true;
    openssh.enable = lib.mkForce false;
  };

  system.stateVersion = "25.11";

  sops = {
    defaultSopsFile = ./secrets.yaml;
  };
}
